xgboost

Classes | Public Member Functions | List of all members
xgboost::common::RowSetCollection Class Reference

collection of rowset More...

`#include <row_set.h>`

Collaboration diagram for xgboost::common::RowSetCollection:

## Classes
struct | Elem
| data structure to store an instance set, a subset of rows (instances) associated with a particular node in a decision tree. More...
struct | Split

## Public Member Functions
std::vector< Elem >::const_iterator | begin () const
std::vector< Elem >::const_iterator | end () const
const Elem & | operator[] (unsigned node_id) const
| return corresponding element set given the node_id More...
Elem & | operator[] (unsigned node_id)
| return corresponding element set given the node_id More...
void | Clear ()
void | Init ()
std::vector< size_t > * | Data ()
void | AddSplit (unsigned node_id, unsigned left_node_id, unsigned right_node_id, size_t n_left, size_t n_right)

## Detailed Description

collection of rowset

## Member Function Documentation

## ◆ AddSplit()

void xgboost::common::RowSetCollection::AddSplit | ( | unsigned | node_id,
|  | unsigned | left_node_id,
|  | unsigned | right_node_id,
|  | size_t | n_left,
|  | size_t | n_right
| ) |  |
| inline

## ◆ begin()

std::vector<Elem>::const_iterator xgboost::common::RowSetCollection::begin | ( |  | ) | const
| inline

## ◆ Clear()

void xgboost::common::RowSetCollection::Clear | ( |  | ) |
| inline

## ◆ Data()

std::vector<size_t>* xgboost::common::RowSetCollection::Data | ( |  | ) |
| inline

## ◆ end()

std::vector<Elem>::const_iterator xgboost::common::RowSetCollection::end | ( |  | ) | const
| inline

## ◆ Init()

void xgboost::common::RowSetCollection::Init | ( |  | ) |
| inline

## ◆ operator[]() [1/2]

Elem& xgboost::common::RowSetCollection::operator[] | ( | unsigned | node_id | ) |
| inline

return corresponding element set given the node_id

## ◆ operator[]() [2/2]

const Elem& xgboost::common::RowSetCollection::operator[] | ( | unsigned | node_id | ) | const
| inline

return corresponding element set given the node_id

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/row_set.h